Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IInteractionResponseContext

All Superinterfaces
  com.bea.wsrp.bind.IPortletContextHolder

All Known Subinterfaces:
  IBlockingInteractionBaseResponseContext, IBlockingInteractionResponseContext, IHandleEventsResponseContext

    public interface IInteractionResponseContext

extends com.bea.wsrp.bind.IPortletContextHolder

A base interaction response context that represents partial output data of the "performBlockingInteraction" operation.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`List<Event>` | `getEvents()` Returns a list of events to be fired by the current portlet.
`String` | `getNavigationalState()` Returns the opaque navigational state of the current portlet.
`String` | `getNewMode()` Returns a new mode for the current portlet.
`String` | `getNewWindowState()` Returns a new window state for the current portlet.
`PortletParameters` | `getPublicNavigationalState()` Returns the public navigational state of the current portlet.
`void` | `setEvents(List<Event> events)` The supplied list of events is set as a list of events to be fired by the current portlet.
`void` | `setNavigationalState(String navState)` Sets the supplied `navState` as the opaque navigational state for the current portlet.
`void` | `setNewMode(String newMode)` Sets the supplied `newMode` as a new window mode for the current portlet.
`void` | `setNewWindowState(String newWindowState)` Sets the supplied `newWindowState` as a new window state for the current portlet.
`void` | `setPublicNavigationalState(PortletParameters publicNavState)` Sets the public navigational state for the current portlet.

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Method Detail

### getNavigationalState

    String getNavigationalState()

  Returns the opaque navigational state of the current portlet.

  Returns
    a string that represents a navigational state of the current portlet.

### setNavigationalState

    void setNavigationalState(String navState)

  Sets the supplied `navState` as the opaque navigational state for the current portlet.

  Parameters
    `navState` - a new navigational state.

### getPublicNavigationalState

    PortletParameters getPublicNavigationalState()

  Returns the public navigational state of the current portlet.

### setPublicNavigationalState

    void setPublicNavigationalState(PortletParameters publicNavState)

  Sets the public navigational state for the current portlet.

  Parameters
    `publicNavState` - the new public navigational state.

### getNewWindowState

    String getNewWindowState()

  Returns a new window state for the current portlet. This is not for rendering a remote portlet. The Consumer may map this new window state string to a state string that can be rendered.

  Returns
    a new window state.

### setNewWindowState

    void setNewWindowState(String newWindowState)

  Sets the supplied `newWindowState` as a new window state for the current portlet.

  Parameters
    `newWindowState` - a new window state.

### getNewMode

    String getNewMode()

  Returns a new mode for the current portlet. This is not for rendering a remote portlet. The Consumer may map this new mode string to a mode string that can be rendered.

  Returns
    a new mode.

### setNewMode

    void setNewMode(String newMode)

  Sets the supplied `newMode` as a new window mode for the current portlet.

  Parameters
    `newMode` - a new mode.

### getEvents

    List<Event> getEvents()

  Returns a list of events to be fired by the current portlet. The returned list is modifiable.

  Returns
    a list of events.

### setEvents

    void setEvents(List<Event> events)

  The supplied list of events is set as a list of events to be fired by the current portlet.

  Parameters
    `events` - a new list of events.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.